﻿@{
    ViewData["Title"] = "Manajemen Siswa";
}
<style type="text/css">

    .select2-search--dropdown .select2-search__field {
        width: 98%;
    }
    .select2-container {
        width: 100% !important;
        padding: 0;
    }
</style>
<section class="section">
    <div class="section-header">
        <h1>Manajemen Data Siswa</h1>
        <div class="section-header-breadcrumb">
            <div class="breadcrumb-item"><a href="#">Dashboard</a></div>
            <div class="breadcrumb-item"><a href="#">Siswa</a></div>
            <div class="breadcrumb-item active"><a href="#">Manajemen Data Siswa</a></div>
        </div>
    </div>

    <div class="section-body">

        <div class="card">
            <div class="card-body" style="padding-bottom:0px;">
                <form id="FormTabelSiswa" class="form-inline">
                    <div class="form-group mx-sm-1 mb-2 mr-1">
                        <label class="col-form-label font-weight-bold mr-1">Tipe</label>
                        <select name="IdTipe" class="form-control">
                            <option value="">- Pilih Salah Satu -</option>
                            <option value="1">Pencarian</option>
                            @*<option value="2">Hapus Data</option>*@
                            <option value="3">Arsip</option>
                            <option value="4">Download Data Siswa</option>
                        </select>
                    </div>
                    <div class="form-group mx-sm-1 mb-2 mr-1" id="ComboBerdasarkan" style="display:none;">
                        <label class="col-form-label font-weight-bold mr-1" id="LabelBerdasarkan"></label>
                        <select name="IdBerdasarkan" class="form-control">
                            <option value="">- Pilih Salah Satu -</option>
                            <option value="0">Semua Siswa</option>
                            <option value="1">Unit</option>
                            <option value="2">Kelas</option>
                            <option value="3">Kelas Paralel</option>
                        </select>
                    </div>
                    <div class="form-group mx-sm-1 mb-2 mr-1" id="ComboTahunAjaran" style="display:none;">
                        <label class="col-form-label font-weight-bold mr-1">Tahun Ajaran</label>
                        <select name="IdTahunAjaran" class="form-control">
                        </select>
                    </div>

                    <div class="form-group mx-sm-1 mb-2 mr-1" id="ComboUnit" style="display:none;">
                        <label class="col-form-label font-weight-bold mr-1">Pilih Unit</label>
                        <select name="IdUnit" class="form-control">
                        </select>
                    </div>
                    <div class="form-group mx-sm-1 mb-2 mr-1" id="ComboKelas" style="display:none;">
                        <label class="col-form-label font-weight-bold mr-1">Pilih Kelas</label>
                        <select name="IdKelas" class="form-control">
                        </select>
                    </div>
                    <div class="form-group mx-sm-1 mb-2 mr-1" id="ComboKelasParalel" style="display:none;">
                        <label class="col-form-label font-weight-bold mr-1">Pilih Kelas Paralel</label>
                        <select name="IdKelasParalel" class="form-control">
                        </select>
                    </div>

                    <div class="form-group mx-sm-1 mb-2 mr-1" id="DivBtnDownloadSiswa" style="display:none;">
                        <button type="button" class="btn btn-primary btn-flat" id="BtnDownloadSiswa" onclick="DownloadData();"><i class="fa fa-download"></i> Download</button>
                    </div>
                    <div class="form-group mx-sm-1 mb-2 mr-1" id="DivBtnHapus" style="display:none;">
                        <button type="button" class="btn btn-danger btn-flat" id="BtnHapus" onclick="HapusData();"><i class="fa fa-trash"></i> Hapus</button>
                    </div>
                    <div class="form-group mx-sm-1 mb-2 mr-1" id="DivBtnArsip" style="display:none;">
                        <button type="button" class="btn btn-info btn-flat" id="BtnArsip" onclick="ArsipData();"><i class="fa fa-file-archive-o"></i> Arsipkan</button>
                    </div>
                    <div class="form-group mx-sm-1 mb-2 mr-1" id="DivBtnTambah">
                        <button type="button" class="btn btn-success btn-flat" id="BtnTambah" onclick="TambahData();"><i class="fa fa-plus"></i> Tambah Data</button>
                    </div>
                    <div class="form-group mx-sm-1 mb-2 mr-1">
                        <button type="button" class="btn btn-info btn-flat" onclick="EditDataMassal();"><i class="fa fa-pencil-square-o"></i> Edit Massal</button>
                    </div>
                    <div class="form-group mx-sm-1 mb-2 mr-1" id="DivBtnDownloadDapodik" style="display:none;">
                        <button type="button" class="btn btn-primary btn-flat" id="BtnDownloadDapodik" onclick="DownloadDapodik();"><i class="fa fa-file"></i> Download Dapodik</button>
                    </div>
                </form>
            </div>
            <div class="card-body">
                <center id="ImgSearch">
                    <img src="~/assets/img/search.png" width="250px;" />
                </center>
                <div class="table-responsive">
                    <table id="TabelSiswa" class="table table-striped table-bordered table-hover nowrap" style="width:100%;display:none;">
                        <thead>
                            <tr>
                                <th>Aksi</th>
                                <th>Siswa</th>
                                <th>NIS</th>
                                <th>Password Siswa</th>
                                <th>PIN Orang Tua</th>
                                <th>Unit</th>
                                <th>Tanggal Lahir</th>
                                <th>NIK Siswa</th>
                                <th>Status</th>
                                <th>Ibu</th>
                                <th>Ayah</th>
                            </tr>
                        </thead>
                        <tfoot>
                            <tr>
                                <th>Aksi</th>
                                <th>Siswa</th>
                                <th>NIS</th>
                                <th>Password Siswa</th>
                                <th>PIN Orang Tua</th>
                                <th>Unit</th>
                                <th>Tanggal Lahir</th>
                                <th>NIK Siswa</th>
                                <th>Status</th>
                                <th>Ibu</th>
                                <th>Ayah</th>
                            </tr>
                        </tfoot>
                    </table>
                </div>
            </div>
        </div>

            
    </div>
</section>

<div class="modal fade" id="ModalKonfirmasiTambahData">
    <div class="modal-dialog modal-md">
        <div class="modal-content">
            <div class="modal-header">
                <h6 class="modal-title">Pilih Salah Satu</h6>
                <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                    <span aria-hidden="true">&times;</span>
                </button>
            </div>
            <div class="modal-body">
                <form id="FormKonfirmasiTambahSiswa" class="form-horizontal" action="#" enctype="multipart/form-data">
                    <button type="button" class="btn btn-lg btn-success" onclick="TambahManual();"><i class="fa fa-file"></i> Tambah Siswa (Manual)</button>
                    <button type="button" class="btn btn-lg btn-primary ml-2" onclick="TambahUpload();"><i class="fa fa-upload"></i> Tambah Siswa (Upload)</button>
                </form>
            </div>
        </div>
    </div>
</div>

<div class="modal fade" id="ModalUploadSiswa">
    <div class="modal-dialog modal-md">
        <form id="FormUploadSiswa" class="form-horizontal" action="#" enctype="multipart/form-data">
            <div class="modal-content">
                <div class="modal-header">
                    <h6 class="modal-title">Form Upload Tambah Siswa</h6>
                    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                        <span aria-hidden="true">&times;</span>
                    </button>
                </div>
                <div class="modal-body">
                    <div class="form-group form-row">
                        <label class="col-form-label col-sm-5" style="text-align:left;">File:</label>
                        <div class="col-sm-7">
                            <input type="file" class="form-control" name="FileExcel" />
                        </div>
                    </div>
                </div>
                <div class="modal-footer">
                    <button type="button" class="btn btn-dark" data-dismiss="modal"><i class="fa fa-times"></i> Tutup</button>
                    <button type="button" id="BtnSaveSiswa" class="btn btn-primary"><i class="fa fa-save"></i> Mulai Upload</button>
                </div>
            </div>
        </form>
    </div>
</div>

<div class="modal fade" id="ModalCekTagihan">
    <div class="modal-dialog modal-md">
        <div class="modal-content">
            <div class="modal-header border-warning text-white" style="background:#ff773f;border-color:#ff773f;">
                <h4 class="modal-title">Cek Tagihan Siswa</h4>
            </div>
            <div class="modal-body">
                <div class="table-responsive">
                    <table id="TabelDataTagihan" class="table table-striped table-bordered table-hover nowrap" style="width:100%;">
                        <thead>
                            <tr>
                                <th>Jenis Tagihan</th>
                                <th>Periode</th>
                                <th>Jumlah</th>
                                <th>Aksi</th>
                            </tr>
                        </thead>
                    </table>
                </div>
            </div>
        </div>
    </div>
</div>

<div class="modal fade" id="ModalEditDataMassal">
    <div class="modal-dialog modal-md">
        <div class="modal-content">
            <div class="modal-header">
                <h6 class="modal-title">Edit Data Massal</h6>
                <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                    <span aria-hidden="true">&times;</span>
                </button>
            </div>
            <div class="modal-body">
                <div class="alert alert-warning">
                    Masukan file excel yang sudah di download dari <i>Data Siswa</i>
                </div>
                <form id="FormEditDataMassal" class="form-horizontal" action="#" enctype="multipart/form-data">
                    <div class="form-group form-row">
                        <label class="col-form-label col-sm-4" style="text-align:left;">File:</label>
                        <div class="col-sm-8">
                            <input type="file" class="form-control" name="FileExcel" id="FileExcel" />
                        </div>
                    </div>
                </form>
            </div>
            <div class="modal-footer">
                <button type="button" class="btn btn-dark" data-dismiss="modal"><i class="fa fa-times"></i> Tutup</button>
                <button type="button" class="btn btn-primary" onClick="UploadEditDataMassal()"><i class="fa fa-save"></i> Mulai Upload</button>
            </div>
        </div>
    </div>
</div>